Subject: [bug#38846] [PATCH 1/4] doc: Add "Tracking Bugs and Patches" section.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Jan 2020 12:51:10 +0100

Hi Simon,

zimoun <[email-masked]> skribis:

> On Wed, 1 Jan 2020 at 17:36, Ludovic Courtès <[email-masked]> wrote:
>>
>> * doc/contributing.texi (Tracking Bugs and Patches): New section.
>> (Submitting Patches): Refer to it.
>> * doc/guix.texi: Update copyright line.
>> * HACKING (Using emacs-debbugs): Remove.
>> ---
>>  HACKING               | 11 +-------
>>  doc/contributing.texi | 62 ++++++++++++++++++++++++++++++++++++++-----
>>  doc/guix.texi         |  2 +-
>>  3 files changed, 58 insertions(+), 17 deletions(-)
>>
>> diff --git a/HACKING b/HACKING
>> index 2f0f93f896..eeea2f6311 100644
>> --- a/HACKING
>> +++ b/HACKING
>> @@ -2,7 +2,7 @@
>>
>>  #+TITLE: Hacking GNU Guix and Its Incredible Distro
>>
>> -Copyright © 2012, 2013, 2014, 2016, 2017, 2019 Ludovic Courtès <[email-masked]>
>> +Copyright © 2012, 2013, 2014, 2016, 2017, 2019, 2020 Ludovic Courtès <[email-masked]>
>>  Copyright © 2015, 2017 Mathieu Lirzin <[email-masked]>
>>  Copyright © 2017 Leo Famulari <[email-masked]>
>>  Copyright © 2017 Arun Isaac <[email-masked]>
>> @@ -63,12 +63,3 @@ after two weeks, and if you’re confident, it’s OK to commit.
>>
>>  That last part is subject to being adjusted, allowing individuals to commit
>>  directly on non-controversial changes on parts they’re familiar with.
>> -
>> -* Using emacs-debbugs
>> -
>> -Bug reports and patches are tracked using debbugs. If you are on emacs, you
>> -can use emacs-debbugs.
>> -
>> -List all open bug reports on guix-patches with
>> -
>> -C-u M-x debbugs-gnu <RET> <RET> guix-patches <RET> n y
>
> I thought the policy about copyright was when adding/changing lines,
> not when removing them.
>
> https://lists.gnu.org/archive/html/guix-devel/2019-10/msg00473.html
>
> Maybe I miss something.
> Just to notice.

Ah well, I have (add-hook 'write-file-functions 'copyright-update),
which took care of it.  :-)

Some projects (such as Gnulib) automatically update copyright years each
1st of January, so there are different practices.  But anyway, you’re
right that it’s a bit odd to add a new year here, I’ll remove it.

Thanks,
Ludo’.